Subject: [Hipsec] rfc5206-bis issue review

From: "Henderson, Thomas R" <[email-masked]>
Date: Thu, 8 Sep 2011 08:48:26 -0700

I would like to post a revision of draft-ietf-hip-rfc5206-bis (mobility) and to close these issues (tracked here:  http://trac.tools.ietf.org/wg/hip/trac/query?component=rfc5206-bis)

Ticket 2: inclusion of LOCATOR in R2 vs. R1
----------------------------------------------
I previously suggested to close this without any change: http://www.ietf.org/mail-archive/web/hipsec/current/msg03428.html  I'll do so if no further comments.

Ticket 4: make before break use case missing
--------------------------------------------
Will add this use case

Ticket 6:  specify peer-locator exposure policies and sending from unannounced locators
-----------------------------------------------
Propose to add a statement that it is possible to delay the exposure of additional locators, and to send data from previously unannounced locators, as might arise in certain mobility situations.

Ticket 10: LOCATOR/locator terminology
-------------------------------------
I propose to resolve this by renaming the 'LOCATOR' parameter to 'LOCATOR_SET'

Ticket 14:  can actual IP addresses of UPDATEs be used as locators, even if not in LOCATOR set?
----------------------------------------------
Propose to add a statement at the end of the section 5.3 Handling Received LOCATOR_SETs:

"A host MAY add the source IP address of a received HIP packet as a candidate locator for the peer even if it is not listed in the peer's LOCATOR_SET, but it SHOULD prefer locators explicitly listed in the LOCATOR_SET."

I plan to handle these issues in a later revision: 

Ticket 5:  cross-family handovers missing from RFC5206-bis
-----------------------------------------------------------
Extend specification to cover cross-family handovers as described in "Secure and Efficient IPv4/IPv6 Handovers Using Host-based Identifier-Locator Split" by Varjonen et al.

Ticket 8:  decouple locator announcement from SA creation
---------------------------------------------------------
make sure that revised specifications handle the use case of decoupling locator announcements from SA creation (as well as the case of integrating them).

Ticket 11:  review ESP_INFO/SPI issues in RFC5206
--------------------------------------------------
this is a request to clarify whether the mappings of SPI to interface or locator are one-one or one-many.  draft-melen-hip-nat-mm-00 recommended to avoid assigning locators on different interfaces to a single SPI (this may be more an issue for the multihoming draft).

Ticket 12:  should UPDATE be sent via rendezvous server?
--------------------------------------------------------
This requires coordination with RFC5204-bis but I support adding text to document this.

Ticket 13:  SEQ/ACK handling with respect to UPDATE
----------------------------------------------------
I do not really understand the concern so would like to request specific text change proposal.

Ticket 15:  suggestion for naming UPDATE packets
------------------------------------------------
The request here is to reduce the number of possible different UPDATE scenarios, document them better, and modularize the separate concepts.  This should probably be discussed in a separate thread.

---

From: Miika Komu <[email-masked]>
Date: Fri, 09 Sep 2011 09:20:09 +0300

Hi Tom,

the changes proposed by you seem fine to me. Looking forward for a new 
version of the draft. I have asked separately for comments for ticket 
#13 from the original proposer and it can be closed if there's no 
additional feedback.

On 08/09/11 18:48, Henderson, Thomas R wrote:
> _______________________________________________
> Hipsec mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/hipsec

---

From: Tobias Heer <[email-masked]>
Date: Mon, 19 Sep 2011 17:23:13 +0200

Hi Tom,

sorry for the late reply. Better late then never, huh? I agree in all points.

> I would like to post a revision of draft-ietf-hip-rfc5206-bis (mobility) and to close these issues (tracked here:  http://trac.tools.ietf.org/wg/hip/trac/query?component=rfc5206-bis)

...

> Ticket 14:  can actual IP addresses of UPDATEs be used as locators, even if not in LOCATOR set?

This is important. Good solution.
....

> Ticket 15:  suggestion for naming UPDATE packets

This will probably be quite some work but I think its worth the effort. René has been thinking about this.

BR, 

Tobias

-- 
Dipl.-Inform. Tobias Heer, Ph.D. Student
Chair of Communication and Distributed Systems - comsys
RWTH Aachen University, Germany
tel: +49 241 80 207 76
web: http://www.comsys.rwth-aachen.de/team/tobias-heer/
blog: http://dtobi.wordpress.com/
card: http://card.ly/dtobi
pgp id: AEECA5BF